git: 4c247f120492 - main - krb5: Make the build a bit quieter
- Go to: [ bottom of page ] [ top of archives ] [ this month ]
Date: Tue, 17 Feb 2026 14:52:28 UTC
The branch main has been updated by markj:
URL: https://cgit.FreeBSD.org/src/commit/?id=4c247f120492d999ac90efcfc73e5fea29206d1f
commit 4c247f120492d999ac90efcfc73e5fea29206d1f
Author: Mark Johnston <markj@FreeBSD.org>
AuthorDate: 2026-02-17 14:45:50 +0000
Commit: Mark Johnston <markj@FreeBSD.org>
CommitDate: 2026-02-17 14:46:52 +0000
krb5: Make the build a bit quieter
compile_et.sh is run during buildworld and prints a bunch of debug
output. It's intrusive and probably not needed, at least by default, so
let's make the build output a bit cleaner. This is an upstream script,
but it hasn't been modified in 15 years so the local modification is
unlikely to cause any pain.
Also remove a print that shows up in buildworld -s output.
Reviewed by: cy
MFC after: 1 week
Differential Revision: https://reviews.freebsd.org/D55317
---
crypto/krb5/src/util/et/compile_et.sh | 2 +-
krb5/lib/gssapi/generic/Makefile.inc | 1 -
2 files changed, 1 insertion(+), 2 deletions(-)
diff --git a/crypto/krb5/src/util/et/compile_et.sh b/crypto/krb5/src/util/et/compile_et.sh
index f17ddba71247..9da3cf1bd21d 100755
--- a/crypto/krb5/src/util/et/compile_et.sh
+++ b/crypto/krb5/src/util/et/compile_et.sh
@@ -30,7 +30,7 @@ fi
ROOT=`echo $1 | sed -e s/.et$//`
BASE=`echo "$ROOT" | sed -e 's;.*/;;'`
-set -ex
+set -e
$AWK -f ${DIR}/et_h.awk "outfile=${BASE}.h" "$ROOT.et"
$AWK -f ${DIR}/et_c.awk "outfile=${BASE}.c" "textdomain=$TEXTDOMAIN" \
"localedir=$LOCALEDIR" "$ROOT.et"
diff --git a/krb5/lib/gssapi/generic/Makefile.inc b/krb5/lib/gssapi/generic/Makefile.inc
index f449ab15c379..47f2961db979 100644
--- a/krb5/lib/gssapi/generic/Makefile.inc
+++ b/krb5/lib/gssapi/generic/Makefile.inc
@@ -42,7 +42,6 @@ CLEANFILES+= gssapi.h ${GGEN} ${GGENI}
INCLUDE_XOM= echo "/* no xom.h */"
gssapi.h: gssapi.hin
- echo "Creating gssapi.h" ; \
h=gss$$$$; rm -f $$h; \
(echo "/* This is the gssapi.h prologue. */"; \
${INCLUDE_XOM} && \